## Search Resources `client.LoadBalancers.Searches.List(ctx, params) (*V4PagePagination[SearchListResponse], error)` **get** `/accounts/{account_id}/load_balancers/search` Search for Load Balancing resources. ### Parameters - `params SearchListParams` - `AccountID param.Field[string]` Path param: Identifier. - `Page param.Field[float64]` Query param - `PerPage param.Field[float64]` Query param - `Query param.Field[string]` Query param: Search query term. - `References param.Field[SearchListParamsReferences]` Query param: The type of references to include. "*" to include both referral and referrer references. "" to not include any reference information. - `const SearchListParamsReferencesEmpty SearchListParamsReferences = ""` - `const SearchListParamsReferencesStar SearchListParamsReferences = "*"` - `const SearchListParamsReferencesReferral SearchListParamsReferences = "referral"` - `const SearchListParamsReferencesReferrer SearchListParamsReferences = "referrer"` ### Returns - `type SearchListResponse struct{…}` - `Resources []SearchListResponseResource` A list of resources matching the search query. - `ReferenceType SearchListResponseResourcesReferenceType` When listed as a reference, the type (direction) of the reference. - `const SearchListResponseResourcesReferenceTypeReferral SearchListResponseResourcesReferenceType = "referral"` - `const SearchListResponseResourcesReferenceTypeReferrer SearchListResponseResourcesReferenceType = "referrer"` - `References []unknown` A list of references to (referrer) or from (referral) this resource. - `ResourceID string` - `ResourceName string` The human-identifiable name of the resource. - `ResourceType SearchListResponseResourcesResourceType` The type of the resource. - `const SearchListResponseResourcesResourceTypeLoadBalancer SearchListResponseResourcesResourceType = "load_balancer"` - `const SearchListResponseResourcesResourceTypeMonitor SearchListResponseResourcesResourceType = "monitor"` - `const SearchListResponseResourcesResourceTypePool SearchListResponseResourcesResourceType = "pool"` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/load_balancers" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) page, err := client.LoadBalancers.Searches.List(context.TODO(), load_balancers.SearchListParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", page) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "resources": [ { "reference_type": "referral", "references": [ { "reference_type": "referrer", "resource_id": "699d98642c564d2e855e9661899b7252", "resource_name": "www.example.com", "resource_type": "load_balancer" }, { "reference_type": "referral", "resource_id": "f1aba936b94213e5b8dca0c0dbf1f9cc", "resource_name": "Login page monitor", "resource_type": "monitor" } ], "resource_id": "17b5962d775c646f3f9725cbc7a53df4", "resource_name": "primary-dc-1", "resource_type": "pool" } ] }, "success": true, "result_info": { "count": 20, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 } } ```